Bug 1734588 - With glib-fam: Even when IMs are defined in dconf keyfile, IMs do not work without gnome-inital-setup
Summary: With glib-fam: Even when IMs are defined in dconf keyfile, IMs do not work wi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ibus
Version: 7.4
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: fujiwara
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 00:59 UTC by Ding-Yi Chen
Modified: 2020-11-11 21:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-11 21:48:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ding-Yi Chen 2019-07-31 00:59:59 UTC
Description of problem:
Even when input methods are defined through system dconf keyfile,
input methods do not work without gnome-inital-setup if the default shell is '/bin/sh'

Imagine an input-method class setting, 
gnome-initial-setup is disabled and input methods are predefined.

This setting does not work for all users. 
To sum up, it works when default shell is '/bin/bash',
but failed when the default shell is  '/bin/sh'


Version-Release number of selected component (if applicable):
ibus-1.5.3-13.el7
ibus-gtk2-1.5.3-13.el7
ibus-gtk3-1.5.3-13.el7
bash-4.2.46-28.el7

How reproducible:
always

Steps to Reproduce:
1. su as root
2. disable gnome-initial-setup
3. Define input method in system dconf db:

   a. Edit /etc/dconf/db/local.d/04-inputsource with following content:

     [org/gnome/desktop/input-sources]
     sources=[('xkb','jp'), ('ibus','kkc')]

   b. Update system dconf db
      dconf update

4. create a test user that use /bin/sh

   useradd -m --shell /bin/sh testuser
   
5. Re-login as testuser through gdm

6. Open gnome-terminal or any gtk application with an input area.
7. Switch to ibus-kkc and start typing


Actual results:
Still type in english.


Expected results:
Can type Japanese

Additional info:

## Workarounds

1. Set the default shell to /bin/bash
2. Specify gtk-im-module in dconf keyfile, like append following at /etc/dconf/db/local.d/04-inputsource


[org/gnome/desktop/interface]
gtk-im-module='ibus'

Comment 15 Jens Petersen 2020-05-11 10:27:24 UTC
I think it is better to focus on glib2-fam than dconf (as Takao also mentioned RHEL8 ibus is mainly using gsettings.)

Comment 16 Jens Petersen 2020-05-11 10:29:37 UTC
Are you able to describe the defect without dconf?

Are you saying the customer is deploying settings to users using dconf files/commands?

Comment 18 Chris Williams 2020-11-11 21:48:27 UTC
Red Hat Enterprise Linux 7 shipped it's final minor release on September 29th, 2020. 7.9 was the last minor releases scheduled for RHEL 7.
From intial triage it does not appear the remaining Bugzillas meet the inclusion criteria for Maintenance Phase 2 and will now be closed. 

From the RHEL life cycle page:
https://access.redhat.com/support/policy/updates/errata#Maintenance_Support_2_Phase
"During Maintenance Support 2 Phase for Red Hat Enterprise Linux version 7,Red Hat defined Critical and Important impact Security Advisories (RHSAs) and selected (at Red Hat discretion) Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available."

If this BZ was closed in error and meets the above criteria please re-open it flag for 7.9.z, provide suitable business and technical justifications, and follow the process for Accelerated Fixes:
https://source.redhat.com/groups/public/pnt-cxno/pnt_customer_experience_and_operations_wiki/support_delivery_accelerated_fix_release_handbook  

Feature Requests can re-opened and moved to RHEL 8 if the desired functionality is not already present in the product. 

Please reach out to the applicable Product Experience Engineer[0] if you have any questions or concerns.  

[0] https://bugzilla.redhat.com/page.cgi?id=agile_component_mapping.html&product=Red+Hat+Enterprise+Linux+7


Note You need to log in before you can comment on or make changes to this bug.